
Redmine - Patch #22850

Speedup remove_inherited_roles

2016-05-19 10:18 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Environment:

  Redmine version                3.2.2.devel

  Ruby version                   2.1.5-p273 (2014-11-13) [x64-mingw32]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.8.1

  Filesystem

Redmine plugins:

  no plugin installed

 I made an optimalization to avoid these queries, that reliably kills the application if there are many member roles.

SELECT `member_roles`.* FROM `member_roles` WHERE `member_roles`.`inherited_from` = ?

This table was retrieved with a full table scan, which is often quite bad for performance, unless you only retrieve a few rows.

The table was retrieved with this index:

No index was used in this part of the query.

You can speed up this query by querying only fields that are within the index. Or you can create an index that includes every field in

your query, including the primary key.

Approximately 1224500 rows of this table were scanned.

Related issues:

Related to Redmine - Defect #19179: Very slow performance on editing issues w... Closed

Associated revisions

Revision 15883 - 2016-10-02 13:45 - Jean-Philippe Lang

Speedup remove_inherited_roles (#22850).

Patch by Pavel Rosický.

History

#1 - 2016-05-25 18:19 - Pavel Rosický

- File patches.patch added

#2 - 2016-05-25 18:22 - Pavel Rosický

- File patches.patch added

#3 - 2016-05-25 18:23 - Pavel Rosický

- File patches20160525.patch added

#4 - 2016-06-14 06:33 - Toshi MARUYAMA

- Related to Defect #19179: Very slow performance on editing issues when projects have inherit members checked added

#5 - 2016-06-14 06:34 - Toshi MARUYAMA

- Description updated
#6 - 2016-06-14 06:40 - Toshi MARUYAMA

- Target version set to 3.4.0

LGTM.

#7 - 2016-10-02 13:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

Files

patches.patch 1.54 KB 2016-05-19 Pavel Rosický

patches.patch 1.54 KB 2016-05-25 Pavel Rosický

patches.patch 1.54 KB 2016-05-25 Pavel Rosický

patches20160525.patch 1.49 KB 2016-05-25 Pavel Rosický
